Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.aamanager.service
Class ServiceImpl

    java.lang.Object
      tle.framework.component.impl.aamanager.service.ServiceImpl

All Implemented Interfaces:
  HasGrant, Service

    public class ServiceImpl

extends java.lang.Object
implements Service, HasGrant

Service의 구현체. ServiceManagerImpl에서 사용한다.

Since:
  2.0
Author:
  최범균

Constructor Summary
`ServiceImpl(java.lang.String commandID, java.lang.String name, java.lang.String description, boolean needAuth, boolean allRolesUsable, java.lang.String roleIDs)`

Method Summary
`java.lang.String` | `getCommandID()` 이 서비스와 관련된 명령어의 ID를 구한다.
`java.lang.String` | `getDescription()` 이 서비스에 대한 설명을 구한다.
`java.lang.String` | `getName()` 이 서비스의 이름을 구한다.
`boolean` | `hasGrant(Role role)` roleID에 해당하는 역할이 이 서비스를 사용할 수 있는 경우 true를 리턴한다.
`boolean` | `isAllRolesUsable()` 모든 역할이 사용 가능한 서비스인지 검사한다.
`boolean` | `isNeedAuthentication()` 인증을 필요로 하는 서비스인지 검사한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceImpl

    ServiceImpl(java.lang.String commandID,
                java.lang.String name,
                java.lang.String description,
                boolean needAuth,
                boolean allRolesUsable,
                java.lang.String roleIDs)

Method Detail

### getCommandID

    public java.lang.String getCommandID()

  Description copied from interface: `Service`
  이 서비스와 관련된 명령어의 ID를 구한다.

  Specified by:
    `getCommandID` in interface `Service`
  Returns:

### getName

    public java.lang.String getName()

  Description copied from interface: `Service`
  이 서비스의 이름을 구한다.

  Specified by:
    `getName` in interface `Service`
  Returns:

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Service`
  이 서비스에 대한 설명을 구한다.

  Specified by:
    `getDescription` in interface `Service`
  Returns:

### isNeedAuthentication

    public boolean isNeedAuthentication()

  Description copied from interface: `Service`
  인증을 필요로 하는 서비스인지 검사한다.

  Specified by:
    `isNeedAuthentication` in interface `Service`
  Returns:

### isAllRolesUsable

    public boolean isAllRolesUsable()

  Description copied from interface: `Service`
  모든 역할이 사용 가능한 서비스인지 검사한다.

  Specified by:
    `isAllRolesUsable` in interface `Service`
  Returns:

### hasGrant

    public boolean hasGrant(Role role)

  roleID에 해당하는 역할이 이 서비스를 사용할 수 있는 경우 true를 리턴한다.

  Specified by:
    `hasGrant` in interface `HasGrant`
  Parameters:
    `role` - 역할
  Returns:
    역할이 서비스를 사용가능한 경우 true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD